package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 会员坐标记录对象 t_member_location
 *
 * @author luobo
 * @date 2021-09-12
 */
public class MemberLocation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会员坐标记录id */
    private Long memberLocationId;

    /** 会员id */
    private Long memberId;

    /** 坐标lat */
    private String lat;

    /** 坐标lng */
    private String lng;

    public void setMemberLocationId(Long memberLocationId)
    {
        this.memberLocationId = memberLocationId;
    }

    public Long getMemberLocationId()
    {
        return memberLocationId;
    }
    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getMemberId()
    {
        return memberId;
    }
    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }
    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("memberLocationId", getMemberLocationId())
            .append("memberId", getMemberId())
            .append("lat", getLat())
            .append("lng", getLng())
            .append("createTime", getCreateTime())
            .toString();
    }
}
